commit:     45cb365d608d532839b77fe3a4a3036145a1fc29
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Nov  9 12:55:58 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 14:20:48 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45cb365d

dev-python/pydata-sphinx-theme: version bump, add py3.9

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/pydata-sphinx-theme/Manifest            |  1 +
 .../pydata-sphinx-theme-0.4.1.ebuild               | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/pydata-sphinx-theme/Manifest 
b/dev-python/pydata-sphinx-theme/Manifest
index 504bdeaf1f7..790ba2b09e7 100644
--- a/dev-python/pydata-sphinx-theme/Manifest
+++ b/dev-python/pydata-sphinx-theme/Manifest
@@ -1 +1,2 @@
 DIST pydata-sphinx-theme-0.4.0.tar.gz 3276611 BLAKE2B 
fb260de2ad40f9a3b5e524ef299a5bf2ee9fbe3f36a0b0e365b53a04702f8a5644154535cfa9f1f3c1deced5de8adbbaf5671488b467d3024b9ae3f60a6f7018
 SHA512 
abe4924277ec41193019e80a26ccb2ce195741fdae9defc9b500ecc2a63ab9070d1eba5a3398415641ef87ccfe8d573ce6fd10eb069e0f13f09891b5b5e2f932
+DIST pydata-sphinx-theme-0.4.1.tar.gz 3279361 BLAKE2B 
d3538dea9444272f1cb314d8b2bd8656b5114b916f31c4cca078867b02a24c60fc91e5ac367d09335b3ce4b9c9fb44405f61ed70b19ae9fed5d8919fc68f1566
 SHA512 
dbca1f7bde25c20a5ffb5b37ac808d84c938e6cadb6e0a6bc2d72101993889f4f7be3bdc50488bed1945779d30ca0f131bf74b16be2df00b5fa093f8491fad39

diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.1.ebuild 
b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.1.ebuild
new file mode 100644
index 00000000000..3441c45783b
--- /dev/null
+++ b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
+HOMEPAGE="https://github.com/pandas-dev/pydata-sphinx-theme";
+SRC_URI="https://github.com/pandas-dev/pydata-sphinx-theme/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? (
+       dev-python/beautifulsoup[${PYTHON_USEDEP}]
+       dev-python/pytest-regressions[${PYTHON_USEDEP}]
+)"
+
+RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
+
+# ModuleNotFoundError: No module named 'plotly' even if dev-python/plotly is 
installed
+#distutils_enable_sphinx docs dev-python/commonmark dev-python/recommonmark 
dev-python/numpydoc dev-python/jupyter-sphinx dev-python/plotly
+distutils_enable_tests pytest
+
+python_test() {
+       PYTHONPATH="${S}"
+       pytest -vv || die "Tests failed with ${EPYTHON}"
+}

Reply via email to